<div *ngIf="!loading">

  <kendo-grid [kendoGridBinding]="dataGrid"
              [selectable]="true"
              [filter]="filter"
              [filterable]="true"
              [navigable]="true"
              [reorderable]="true"
              [resizable]="true"
              [sort]="sort"
              [sortable]="true"
              (selectionChange)="selectRow($event)"
              [pageSize]="pageSize"
              [skip]="skip"
              [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}"
              (pageChange)="pageChange($event)"
              style="height: 63vh;" class="mt-1">
      <kendo-grid-column field="Tarifa" title="Tarifa" width="150"></kendo-grid-column>
      <kendo-grid-column field="tdesc" title="Descripción" width="200"></kendo-grid-column>
      <kendo-grid-column field="ttipo" title="T.T." width="70"></kendo-grid-column>
      <kendo-grid-column field="tmon" title="Mon." width="70"></kendo-grid-column>
      <kendo-grid-column field="tmon" title="Prom." width="70"></kendo-grid-column>
  </kendo-grid>
</div>

<app-loading *ngIf="loading"></app-loading>
